Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.graphics.sld
Class PolygonSymbolizer

    java.lang.Object
      org.deegree.graphics.sld.AbstractSymbolizer
          org.deegree.graphics.sld.PolygonSymbolizer

All Implemented Interfaces:
  Marshallable, Symbolizer

    public class PolygonSymbolizer

extends AbstractSymbolizer
implements Marshallable

Used to render an interior "fill" and an outlining "stroke" for a polygon or other 2D-area geometry. If a point or line are used, the fill is ignored and the stroke is used as described in the LineSymbol. A missing Geometry element selects the default geometry. A missing Fill or Stroke element means that there will be no fill or stroke plotted, respectively. The contained elements are in the conceptual order of their being used and plotted using the "painters model", where the Fill will be rendered first, and then the Stroke will be rendered on top of the Fill.

----------------------------------------------------------------------

Version:
  $Revision: 18195 $ $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Katharina Lupp

Field Summary

Fields inherited from class org.deegree.graphics.sld.AbstractSymbolizer
`geometry, maxDenominator, minDenominator, responsibleClass`

Constructor Summary
`PolygonSymbolizer()` Creates a new PolygonSymbolizer object.
`PolygonSymbolizer(Fill fill, Stroke stroke, Geometry geometry, double min, double max)` constructor initializing the class with the
`PolygonSymbolizer(Fill fill, Stroke stroke, Geometry geometry, String responsibleClass, double min, double max)` constructor initializing the class with the

Method Summary
`String` | `exportAsXML()` exports the content of the PolygonSymbolizer as XML formated String
`Fill` | `getFill()` A Fill allows area geometries to be filled.
`Stroke` | `getStroke()` A Stroke allows a string of line segments (or any linear geometry) to be rendered.
`void` | `setFill(Fill fill)` sets the
`void` | `setStroke(Stroke stroke)` sets the
`String` | `toString()`

Methods inherited from class org.deegree.graphics.sld.AbstractSymbolizer
`getGeometry, getMaxScaleDenominator, getMinScaleDenominator, getResponsibleClass, setGeometry, setMaxScaleDenominator, setMinScaleDenominator, setResponsibleClass`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### PolygonSymbolizer

    public PolygonSymbolizer()

  Creates a new PolygonSymbolizer object.

### PolygonSymbolizer

    public PolygonSymbolizer(Fill fill,
                             Stroke stroke,
                             Geometry geometry,
                             double min,
                             double max)

  constructor initializing the class with the

  Parameters:
    `fill` -
    `stroke` -
    `geometry` -
    `min` -
    `max` -

### PolygonSymbolizer

    PolygonSymbolizer(Fill fill,
                      Stroke stroke,
                      Geometry geometry,
                      String responsibleClass,
                      double min,
                      double max)

  constructor initializing the class with the

  Parameters:
    `fill` -
    `stroke` -
    `geometry` -
    `responsibleClass` -
    `min` -
    `max` -

Method Detail

### getFill

    public Fill getFill()

  A Fill allows area geometries to be filled. There are two types of fills: solid-color and repeated GraphicFill. In general, if a Fill element is omitted in its containing element, no fill will be rendered. The default is a solid 50%-gray (color "#808080") opaque fill.

  Returns:
    the fill of the polygon

### setFill

    public void setFill(Fill fill)

  sets the

  Parameters:
    `fill` - the fill of the polygon

### getStroke

    public Stroke getStroke()

  A Stroke allows a string of line segments (or any linear geometry) to be rendered. There are three basic types of strokes: solid Color, GraphicFill (stipple), and repeated GraphicStroke. A repeated graphic is plotted linearly and has its graphic symbol bended around the curves of the line string. The default is a solid black line (Color "#000000").

  Returns:
    the stroke of the polygon

### setStroke

    public void setStroke(Stroke stroke)

  sets the

  Parameters:
    `stroke` - the stroke of the polygon

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

### exportAsXML

    public String exportAsXML()

  exports the content of the PolygonSymbolizer as XML formated String

  Specified by:
    `exportAsXML` in interface `Marshallable`
  Returns:
    xml representation of the PolygonSymbolizer

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org